Menu = {}

function Menu:load()
    Menu.on = false
    Menu.mode = 1
    Menu.Menu_1 = love.graphics.newImage("assets/Menu/menu_1.png")
    Menu.Menu_2 = love.graphics.newImage("assets/Menu/menu_2.png")
    Menu.xpos = 0
    Menu.ypos = love.graphics.getHeight() - 32
end

function Menu:update(dt)
    if love.keyboard.isDown("y") and Menu.on == true then
        love.event.quit()
    elseif love.keyboard.isDown("n") and Menu.on == true then
        Menu.on = false
    elseif love.keyboard.isDown("r") and Menu.on == true then
        Player.Alive = true
        Player.xpos = love.graphics.getWidth() / 2 - 64
        Player.ypos = love.graphics.getHeight() - 64
        if Checkpoint_1 == true then
            Level_num = 7
            ResetLevelDataOrSomething()
        elseif Checkpoint_2 then
            Level_num = 11
            ResetLevelDataOrSomething()
        elseif Checkpoint_3 then
            Level_num = 15
            ResetLevelDataOrSomething()
        elseif Checkpoint_4 then
            Level_num = 22
            ResetLevelDataOrSomething()
        else
            Level_num = 1
            ResetLevelDataOrSomething()
        end
        Menu.on = false
    end
    if Menu.on then
        Menu.mode = 2
    else
        Menu.mode = 1
    end
    if love.keyboard.isDown("f1") then
        Level_num = ENDLEVEL
    end
    if love.keyboard.isDown("f2") then
        Level_Var:uponelevel()
        Level_num = 1
        ResetLevelDataOrSomething()
        resetcheckpoints()
    end
    if SPEEDRUN_MODE and Menu.on == false then
        SPEEDRUN_TIMER = SPEEDRUN_TIMER + dt
    end
end

function love.keypressed(key, scancode, isrepeat)
    if key == "escape" and Menu.on == true then
       Menu.on = false
    elseif key == "escape" and Menu.on == false then
        Menu.on = true
    end
    if key == "f" and love.window.getFullscreen() == false and Menu.on then
        love.window.setFullscreen(true)
    elseif key == "f" and love.window.getFullscreen() and Menu.on then
        love.window.setFullscreen(false)
    end
    if key == "s" and Menu.on and SPEEDRUN_MODE == false then
        SPEEDRUN_MODE = true
        SPEEDRUN_TIMER = 0
        Level_Var:uponelevel()
        Level_num = 1
        ResetLevelDataOrSomething()
        resetcheckpoints()
    elseif key == "s" and Menu.on and SPEEDRUN_MODE then
        SPEEDRUN_MODE = false
        SPEEDRUN_TIMER = 0
        Level_Var:uponelevel()
        Level_num = 1
        ResetLevelDataOrSomething()
        resetcheckpoints()
    end
    if key == "1" and Menu.on and MY_EYES == false then
        MY_EYES = true
    elseif key == "1" and Menu.on and MY_EYES then
        MY_EYES = false
    end
 end

function Menu:draw()
    if Menu.mode == 1 then
        love.graphics.draw(Menu.Menu_1, Menu.xpos, Menu.ypos)
    end
    if Menu.mode == 2 then
        love.graphics.draw(Menu.Menu_2, Menu.xpos, Menu.ypos)
    end
    if Menu.on then
        love.graphics.setColor(0, 1, 0)
        love.graphics.print("exit? y/n", love.graphics.getWidth() / 2 - 100, love.graphics.getHeight() / 2)
        love.graphics.print("restart? r/n", love.graphics.getWidth() / 2 - 100, love.graphics.getHeight() / 2 + 32)
        love.graphics.print("fullscreen? f/n", love.graphics.getWidth() / 2 - 100, love.graphics.getHeight() / 2 + 64)
        love.graphics.print("speedrun? s/n", love.graphics.getWidth() / 2 - 100, love.graphics.getHeight() / 2 + 96)
        love.graphics.print("MY EYES! 1/n", love.graphics.getWidth() / 2 - 100, love.graphics.getHeight() / 2 + 128)
        love.graphics.setColor(1, 1, 1)
    end
    if SPEEDRUN_MODE then
        love.graphics.print(SPEEDRUN_TIMER, love.graphics.getWidth() - 130, 0)
    end
end

Menu_Hitbox = {}

function Menu_Hitbox:load()
    Menu_Hitbox.xpos = Menu.xpos
    Menu_Hitbox.ypos = Menu.ypos
    Menu_Hitbox.Size = 32
    Menu_Hitbox.Width = Menu_Hitbox.Size
    Menu_Hitbox.Height = Menu_Hitbox.Size
end

function Menu_Hitbox:update(dt)
    Menu_Hitbox.xpos = Menu.xpos
    Menu_Hitbox.ypos = Menu.ypos
end

function Menu_Hitbox:draw()
end